Bug 226488 - astro/qmapshack: update to 1.11.0
Summary: astro/qmapshack: update to 1.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL: https://sourceforge.net/p/qlandkarteg...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-03-09 21:02 UTC by Christoph Moench-Tegeder
Modified: 2018-03-22 21:12 UTC (History)
1 user (show)

See Also:
bofh: maintainer-feedback+


Attachments
update qmapshack to 1.11.0 (4.13 KB, patch)
2018-03-09 21:02 UTC, Christoph Moench-Tegeder
no flags Details | Diff
qmapshack 1.11.0 after quazip flavorisation (4.15 KB, patch)
2018-03-11 13:00 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2018-03-09 21:02:04 UTC
Created attachment 191355 [details]
update qmapshack to 1.11.0

qmapshack 1.11.0 has been released. update /see attached) is rather easy - a few new files, mostly from the integration of QMapTool.
stage-qa complained about missing USES=jpeg, so added that.

poudriere ok, and passed basic funciton test.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-03-11 10:38:08 UTC
New portsr464159.
Change to FLAVOR:
libquazip5.so:archivers/quazip-qt5 \ => libquazip5.so:archivers/quazip@qt5 \
Comment 2 Christoph Moench-Tegeder freebsd_committer 2018-03-11 13:00:00 UTC
Created attachment 191416 [details]
qmapshack 1.11.0 after quazip flavorisation

patch updated. that was easy :)
Comment 3 commit-hook freebsd_committer 2018-03-22 21:01:27 UTC
A commit references this bug:

Author: cmt
Date: Thu Mar 22 21:00:53 UTC 2018
New revision: 465315
URL: https://svnweb.freebsd.org/changeset/ports/465315

Log:
  update qmapshack to 1.11.0

  Announcement: https://sourceforge.net/p/qlandkartegt/mailman/message/36244502/

  PR:		226488
  Approved by:	bofh (maintainer)

Changes:
  head/astro/qmapshack/Makefile
  head/astro/qmapshack/distinfo
  head/astro/qmapshack/files/patch-cmake_Modules_DefineInstallationPaths.cmake
  head/astro/qmapshack/pkg-plist
Comment 4 Christoph Moench-Tegeder freebsd_committer 2018-03-22 21:12:22 UTC
thanks, committed ports r465315